Page MenuHomePhabricator

Recto/verso numbering through <pagelist/>
Closed, ResolvedPublic

Description

Author: mchidester

Description:
Early books (from the advent of printing through the 17th century) were generally numbered by leaf instead of by page, meaning when you open the book only the right-side page has a number. The numbering is usually expressed in the same way as manuscript folios, i.e. page number and recto or verso (see https://en.wikipedia.org/wiki/Recto_and_verso). At the moment, it seems like there's no support for this style of numbering in the <pagelist/> function and the numbering has to be entered by hand for each page, like this:

<pagelist 1="1" 2="1v" 3="2" 4="2v" 5="3" 6="3v" ... />

I would like "folio" (and "folioroman") styles be added so we can just mark them like this:

<pagelist from=1 to=50 1to50="folio" />

I have a large number of book scans numbered this way, but I haven't uploaded them yet because there's not an easy way to index them. The few examples I've found in English Wikisource already just discard the page numbers completely and just apply standard pagination.


Version: unspecified
Severity: enhancement

Details

Reference
bz71821

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:56 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz71821.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 8 2014, 6:33 PM
Tpt added a comment.Jul 4 2015, 7:16 PM

Thank you for the feature request! It would be very nice to have a such feature in the extension.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2015, 3:13 PM
Candalua claimed this task.May 6 2018, 10:02 PM

I'm currently working on this. My plan is:

  • to mirror the 3 current styles normal, roman, highroman I would introduce folio, folioroman, foliohighroman
  • for clearer reading, show both the r and the v, in superscript

To simplify the problem, I'll assume the first page in the range is always a recto.

Change 431627 had a related patch set uploaded (by Candalua; owner: Candalua):
[mediawiki/extensions/ProofreadPage@master] Recto/verso numbering through <pagelist/>

https://gerrit.wikimedia.org/r/431627

Change 431627 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Recto/verso numbering through <pagelist/>

https://gerrit.wikimedia.org/r/431627

Change 434989 had a related patch set uploaded (by Candalua; owner: L10n-bot):
[mediawiki/extensions/ProofreadPage@master] Improvement to recto/verso numbering through <pagelist/>

https://gerrit.wikimedia.org/r/434989

Change 434989 merged by Tpt:
[mediawiki/extensions/ProofreadPage@master] Improvement to recto/verso numbering through <pagelist/>

https://gerrit.wikimedia.org/r/434989

Candalua closed this task as Resolved.May 31 2018, 10:31 AM

Closing as resolved.

Usage instructions can be found on: https://wikisource.org/wiki/Wikisource:ProofreadPage#The_%3Cpagelist/%3E_tag. Basically there are now 3 new numbering styles which are "folio", "folioroman", "foliohighroman".

Also, the template Mediawiki:Proofreadpage_pagenum_template now has a third parameter called "formatted", which can be used to display the number more "nicely" (i.e. it shows the number as "1<sup>r</sup>", whereas the parameter "num" just contains "1r" as plain text without formatting)